<?php
$startTime = microtime(true);
$path = '../../lib/';
set_include_path(get_include_path() . PATH_SEPARATOR . $path);

include "../../lib/Zend.php";

function __autoload($className)
{
    // try for a table
    $filename = "../tables/$className.php";
    if(file_exists($filename))
    {
        require($filename);
    }
}

try
{
    Zend::loadClass('Zend_Controller_Dispatcher');
    Zend::loadClass('Akrabat_Router');
    Zend::loadClass('Akrabat_Action');
    Zend::loadClass('Zend_Controller_Front');
    Zend::loadClass('Zend_View');
    Zend::loadClass('Zend_Db');

    // database connection
    $params = array (
        'host'     => 'localhost',
        'username' => 'akrabat',
        'password' => '123456',
        'dbname'   => 'zf_test'
        );

    $db = Zend_Db::factory('pdo_Mysql', $params);
    Zend::register('db', $db);
    unset($db); // don't need it here any more

    $router = new Akrabat_Router();

    $dispatcher = new Zend_Controller_Dispatcher();
    $dispatcher->setControllerDirectory('../controllers');

    $frontContoller = Zend_Controller_Front::getInstance();
    $frontContoller->setControllerDirectory('../controllers');
    $frontContoller->setRouter($router);
    $frontContoller->setDispatcher($dispatcher);

    $view = new Zend_View();
    $view->setScriptPath('../views');
    Zend::register('view', $view);
    unset($view); // don't need it here any more

    $frontContoller->dispatch();

    $view = Zend::registry('view');
    echo $view->render('site.tpl.php');
}
catch (Exception $e)
{
    echo "<p>Exception: {$e->getMessage()}\n";
    echo "<br>in <b>{$e->getFile()}</b> on <b>line {$e->getLine()}</b></p>\n";

    // format backtrace so that it's readable!
    $stringTrace = $e->getTraceAsString();
    $stringTrace = str_replace('#0', '<ul><li>0', $stringTrace);
    $stringTrace = str_replace('#', '</li><li>', $stringTrace);
    $stringTrace .= "</li></ul>";
    echo "<p>Backtrace:<pre>$stringTrace</pre>";

}



/*
// use a model to get the data for book authors and titles.
$data = array(
array(
'author' => 'Hernando de Soto',
'title' => 'The Mystery of Capitalism'
),
array(
'author' => 'Henry Hazlitt',
'title' => 'Economics in One Lesson'
),
array(
'author' => 'Milton Friedman',
'title' => 'Free to Choose'
)
);

// now assign the book data to a Zend_View instance
Zend::loadClass('Zend_View');
$view = new Zend_View(array('scriptPath'=>'./t'));
$view->books = $data;

// and render a view script called "booklist.php"
echo $view->render('tpl/booklist.php');
*/

function DBG($var, $title=null, $echo_to_screen = true)
{
    /*
    echo "<pre>";
    Zend::dump($var, $label);
    echo "</pre>";
    */

    echo "<p>";
    $title_text = "Debug: ";
    if($title)
    {
        $title_text = "Debug display of '$title':";
    }

    ob_start();
    if(PHP_SAPI == 'cli')
    {
        echo "-----------------------------------------------------------------------\n";
        echo "$title_text\n";
    }
    else
    {
        echo "<p><b>$title_text</b><pre>\n";
    }
    if(is_array($var))
    {
        echo "Number of elements: " . count($var) . "\n";
        print_r($var);
    }
    elseif(is_object($var))
    {
        print_r($var);
    }
    elseif(is_string($var))
    {
        print_r(htmlentities(str_replace("\t", '  ', $var)));
    }
    elseif(is_bool($var))
    {
        echo $var === true ? 'true' : 'false';
    }
    else
    {
        print_r($var);
    }

    if(PHP_SAPI == 'cli')
    {
        echo "\n------------------------------------------------------------------------------\n";
    }
    else
    {
        echo "</pre></p>";
    }
    echo "\n";
    $output = ob_get_contents();
    ob_end_clean();
    if($echo_to_screen)
    {
        echo $output;
    }

    return $output;

}

$stopTime = microtime(true);
echo "<hr><p>Time taken: " . ($stopTime - $startTime);
?>